package auth

import (
	"github.com/gofiber/fiber/v2"
	"gofiber.study.skcks.cn/controller/types"
)

type Controller struct {
	*types.Controller
}

func (c *Controller) GetRouter() fiber.Router {
	return c.Router
}

func NewController(app *fiber.App) *Controller {
	return &Controller{
		Controller: types.NewController(app, "/auth"),
	}
}
